# Uses of Enum Class
org.apache.wiki.util.XHTML

Packages that use XHTML
Package
Description
org.apache.wiki.util
Provides a number of utility libraries that are of general use.

## Uses of XHTML in org.apache.wiki.util

Methods in org.apache.wiki.util that return XHTML
Modifier and Type
Method
Description
`static XHTML`
XHTML.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XHTML[]`
XHTML.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.wiki.util with parameters of type XHTML
Modifier and Type
Method
Description
`static org.jdom2.Element`
XhtmlUtil.`element(XHTML element)`
Return an Element with an element type name matching the parameter.
`static org.jdom2.Element`
XhtmlUtil.`element(XHTML element, String content)`
Return an Element with an element type name matching the parameter, and optional PCDATA (parsed character data, a String) content.